Package: org.grails.cli.interactive.completers

## [Groovy] Class EscapingFileNameCompletor

- org.grails.cli.interactive.completers.EscapingFileNameCompletor

-     class EscapingFileNameCompletor
      extends jline.console.completer.FileNameCompleter

  JLine Completor that does file path matching like FileNameCompletor, but in addition it escapes whitespace in completions with the '\' character.

  Authors:
    Peter Ledbrook
  Since:
    2.0

- - ### Constructor Summary

    Constructors
    Constructor and description
    `EscapingFileNameCompletor ()`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `int` | `complete(java.lang.String buffer, int cursor, java.util.List candidates)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class jline.console.completer.FileNameCompleter` | `jline.console.completer.FileNameCompleter#complete(java.lang.String, int, java.util.List), jline.console.completer.FileNameCompleter#wait(long), jline.console.completer.FileNameCompleter#wait(long, int), jline.console.completer.FileNameCompleter#wait(), jline.console.completer.FileNameCompleter#equals(java.lang.Object), jline.console.completer.FileNameCompleter#toString(), jline.console.completer.FileNameCompleter#hashCode(), jline.console.completer.FileNameCompleter#getClass(), jline.console.completer.FileNameCompleter#notify(), jline.console.completer.FileNameCompleter#notifyAll()`

- - ### Constructor Detail

    - #### EscapingFileNameCompletor()

  - ### Method Detail

    - #### int complete(java.lang.String buffer, int cursor, java.util.List candidates)

      Gets FileNameCompletor to create a list of candidates and then inserts '\' before any whitespace characters in each of the candidates. If a candidate ends in a whitespace character, then that is not escaped.